Alokai

SapccApiGetOrgCustomerPermissionsRequest

Request parameters for getOrgCustomerPermissions operation in SapccApi. SapccApiGetOrgCustomerPermissionsRequest

interface SapccApiGetOrgCustomerPermissionsRequest {
	readonly baseSiteId: string;
	readonly currentPage?: number;
	readonly fields?: string;
	readonly orgCustomerId: string;
	readonly pageSize?: number;
	readonly sort?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetOrgCustomerPermissions
currentPageOptionalnumberCurrent result page. Default value is 0. {number} SapccApiGetOrgCustomerPermissions
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetOrgCustomerPermissions
orgCustomerIdRequiredstringOrganizational customer GUID. {string} SapccApiGetOrgCustomerPermissions
pageSizeOptionalnumberNumber of results returned per page. {number} SapccApiGetOrgCustomerPermissions
sortOptionalstringSorting method applied to the returned results. {string} SapccApiGetOrgCustomerPermissions
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetOrgCustomerPermissions

On this page